﻿Public Class Book

    ''' <summary>
    ''' Gets or sets the book's ID. This must correspond to a key in the GlobalMembers.Books dictionary!
    ''' </summary>
    ''' <remarks></remarks>
    Public Property ID As String

    ''' <summary>
    ''' Gets or sets the name of the book.
    ''' </summary>
    ''' <remarks></remarks>
    Public Property Name As String

    ''' <summary>
    ''' Gets the display name of the book.
    ''' </summary>
    ''' <remarks></remarks>
    Public ReadOnly Property DisplayName As String
        Get
            'The text to display in for example a ListBox.
            Return Me.Name & " --- " & Me.ID
        End Get
    End Property

    ''' <summary>
    ''' Initializes a new instance of the Book class.
    ''' </summary>
    ''' <param name="Name">The name of the book.</param>
    ''' <param name="ID">The book's ID. This must correspond to a key in the GlobalMembers.Books dictionary!</param>
    ''' <remarks></remarks>
    Public Sub New(ByVal Name As String, ByVal ID As String)
        Me.Name = Name
        Me.ID = ID
    End Sub
End Class
