﻿Public Class Media

    ''' <summary>
    ''' Gets or sets the media's ID. This must correspond to a key in the GlobalMembers.NonBookMedia dictionary!
    ''' </summary>
    ''' <remarks></remarks>
    Public Property ID As String

    ''' <summary>
    ''' Gets or sets the name of the media.
    ''' </summary>
    ''' <remarks></remarks>
    Public Property Name As String

    ''' <summary>
    ''' Gets or sets the media type.
    ''' </summary>
    ''' <remarks></remarks>
    Public Property Type As String

    ''' <summary>
    ''' Gets the display name of the media.
    ''' </summary>
    ''' <remarks></remarks>
    Public ReadOnly Property DisplayName As String
        Get
            'The text to display in for example a ListBox.
            Return Me.Type & " - " & Me.Name & " --- " & Me.ID
        End Get
    End Property

    ''' <summary>
    ''' Initializes a new instance of the Media class.
    ''' </summary>
    ''' <param name="Name">The name of the media.</param>
    ''' <param name="ID">The media's ID. This must correspond to a key in the GlobalMembers.NonBookMedia dictionary!</param>
    ''' <param name="Type">The media type (e.g. CD, DVD, etc.)</param>
    ''' <remarks></remarks>
    Public Sub New(ByVal Name As String, ByVal ID As String, ByVal Type As String)
        Me.Name = Name
        Me.ID = ID
        Me.Type = Type
    End Sub
End Class
