﻿Public Class frmManager

    Private Sub frmManager_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        'Libraries.
        lstLibraries.DisplayMember = "DisplayName"

        'Books.
        lstBooks.DisplayMember = "DisplayName"

        'Non-book media.
        lstMedia.DisplayMember = "DisplayName"

        Libraries.Add("SVSU", New Library("Zahnow Library", "SVSU"))
        Libraries.Add("BR", New Library("Fleschner Memorial Library", "BR"))
        Libraries.Add("SDJ", New Library("Scott D. James Technical Repository", "SDJ"))

        Books.Add("104", New Book("Data Structures for Fun and Profit", "104"))
        Books.Add("103", New Book("Doing More With Less - Naval Lint Art", "103"))
        Books.Add("102", New Book("Interpretive Klingon Poetry", "102"))
        Books.Add("105", New Book("Programming with the Bidgoli", "105"))
        Books.Add("101", New Book("Zen and the Art of Appliance Wiring", "101"))

        NonBookMedia.Add("201", New Media("IEEE Computer: the Hits", "201", "CD"))
        NonBookMedia.Add("203", New Media("Databases and You: the Video Experience", "203", "DVD"))
        NonBookMedia.Add("202", New Media("The Pirates of Silicon Valley", "202", "DVD"))

        populatelstLibrary()
        populatelstBooks()
        populatelstBookMedia()
    End Sub

    Sub populatelstLibrary()
        lstLibraries.Items.Clear()

        For Each library In Libraries
            lstLibraries.Items.Add(library.Value) 'Add the entire Library object directly. The ListBox manages display for us.
        Next
    End Sub

    Sub populatelstBooks()
        lstBooks.Items.Clear()

        For Each book In Books
            lstBooks.Items.Add(book.Value) 'Same goes for books...
        Next
    End Sub

    Sub populatelstBookMedia()
        lstMedia.Items.Clear()

        For Each bookMedia In nonBookMedia
            lstMedia.Items.Add(bookMedia.Value) '...and non-book media.
        Next
    End Sub

    Private Sub btnDeleteLibrary_Click(sender As System.Object, e As System.EventArgs) Handles btnDeleteLibrary.Click
        'Try casting the selected item as a Library.
        Dim selectedLibrary As Library = TryCast(lstLibraries.SelectedItem, Library)

        'If an item is selected and casting succeeded the variable should not be null.
        If selectedLibrary IsNot Nothing Then

            'Remove from dictionary.
            Libraries.Remove(selectedLibrary.Code)

            'Refresh ListBox.
            populatelstLibrary()

        End If
    End Sub

    Private Sub btnDeleteBook_Click(sender As System.Object, e As System.EventArgs) Handles btnDeleteBook.Click
        'Try casting the selected item as a Book.
        Dim selectedBook As Book = TryCast(lstBooks.SelectedItem, Book)

        'If an item is selected and casting succeeded the variable should not be null.
        If selectedBook IsNot Nothing Then

            'Remove from dictionary.
            Books.Remove(selectedBook.ID)

            'Refresh ListBox.
            populatelstBooks()

        End If
    End Sub

    Private Sub btnDeleteMedia_Click(sender As System.Object, e As System.EventArgs) Handles btnDeleteMedia.Click
        'Try casting the selected item as a Media.
        Dim selectedMedia As Media = TryCast(lstMedia.SelectedItem, Media)

        'If an item is selected and casting succeeded the variable should not be null.
        If selectedMedia IsNot Nothing Then

            'Remove from dictionary.
            NonBookMedia.Remove(selectedMedia.ID)

            'Refresh ListBox.
            populatelstBookMedia()

        End If
    End Sub

    Private Sub mniLibraryMediaAssociation_Click(sender As System.Object, e As System.EventArgs) Handles mniLibraryMediaAssociation.Click
        Using associationForm As New frmAssociationScreen
            associationForm.ShowDialog(Me)
        End Using
    End Sub
End Class
